org.apache.ignite.internal.processors.query

## Class QueryProperties

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryProperties

    public final class QueryProperties
    extends Object

Additional properties to execute the query (Stored in `QueryContext`).

### Constructor Summary

Constructors
Constructor and Description
`QueryProperties(@Nullable String cacheName, boolean keepBinary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `cacheName()`
`boolean` `keepBinary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryProperties

    public QueryProperties(@Nullable
                           @Nullable String cacheName,
                           boolean keepBinary)

### Method Detail

#### keepBinary

    public boolean keepBinary()

#### cacheName

    @Nullable
    public @Nullable String cacheName()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023